Jivox API Documentation
v1.0
GenAI & Template Generation
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Account Setup
Copy Markdown
Open in ChatGPT
Open in Claude
Overview
Jivox Programmable Personalization API allows for creation of advertiser accounts in the platform. Every ad and campaign gets created and managed under an advertiser account. The methods are described in the table below.
| Method Name | Method Type | Description |
|---|---|---|
| Create Account | POST | Creates an advertiser account on the platform. |
| List All Accounts | GET | Returns list of all advertiser accounts created on the platform |
| Get Account Details | GET | Returns details of a particular advertiser account on the platform. |
Create Account
Parameters
The Create Account method is a POST method, and hence does not require any path or query parameters.
Sample Request
Javascript
POST http://demo.stub.api.jivox.com/v2/accountsRequest Body
Javascript
{ "accountName": "test123", "publisherId": "9", "city": "New york", "name": "demo1", "phoneNumber": "1243567891", "email": "jivox.test@gmail.com", "state": "USA", "username": "jivox.test@gmail.com", "password": "test123", "agency": "api testing", "country": "USA", "accountId": "1234", "address2": "N Y City", "brand": "brand1", "postalCode": "12345", "lastName": "Pacino", "firstName": "Al", "address1": "Hollywood", "advertiserId": "1111"}Sample Response
Javascript
{"accountId": "wh390dd","msg": "Advertiser created successfully"}List All Accounts
Parameters
The List All Accounts method does not require any path or query parameters.
Sample Request
Javascript
GET http://demo.stub.api.jivox.com/v2/accountsSample Response
Javascript
{ "accounts": [ { "accountId": "1234", "name": "demo1" }, { "accountId": "165", "name": "demo2" } ], "previous": "", "next": ""}Get Account Details
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the account for which the details are being fetched. |
Sample Request
Javascript
GET http://demo.stub.api.jivox.com//v2/accounts/1234Sample Response
Javascript
{ "publisherId": "9", "city": "New york", "name": "demo1", "phoneNumber": "1243567891", "email": "jivox.test@gmail.com", "state": "USA", "username": "jivox.test@gmail.com", "agency": "api testing", "country": "USA", "accountId": "1234", "address2": "N Y City", "brand": "brand1", "postalCode": "12345", "lastName": "Pacino", "firstName": "Al", "address1": "Hollywood", "advertiserId": "1111"}Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Next to read:
Ad BuildDiscard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message